'use strict'

const mssql = require('./')

const sqlConfig = {
  password: 'Upper_l0wercase',
  database: 'di_production',
  stream: false,
  options: {
    trustServerCertificate: true,
    enableArithAbort: true,
    encrypt: true,
    abortTransactionOnError: false,
  },
  pool: {
    max: 1,
    min: 0,
  },
  port: 1433,
  user: 'sa',
  server: 'localhost',
}

async function main () {
  const pool = new mssql.ConnectionPool(sqlConfig)
  await pool.connect()

  try {
    const temp = new mssql.Table('#mytemptable');
    temp.create = true;
    temp.columns.add('ts', mssql.DateTime());

    temp.rows.push(['obviously_bad_data']); // obviously bad data

    const request = pool.request();
    await request.bulk(temp); /////// <<<<< Error occurs here
    const { recordset } = await request.query(`SELECT * FROM #mytemptable`);

    console.log(recordset);
  } catch (e) {
    console.error(e);
  } finally {
    await pool.close();
  }
}

main().catch(console.error);
